﻿using System.Data;

using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 병합 셀 헬퍼
        /// </summary>
        private MergeCellHelper mergeCellHelper;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.gridView.OptionsView.ShowGroupPanel = false;

            this.gridControl.DataSource = GetDataTable(20);

            this.gridView.OptionsBehavior.ReadOnly    = true;
            this.gridView.OptionsView.ColumnAutoWidth = false;

            this.gridView.BestFitColumns();

            this.mergeCellHelper = new MergeCellHelper(this.gridView);

            this.mergeCellHelper.AddMergeCell(1, 1, 2, "병합 값 1");
            this.mergeCellHelper.AddMergeCell(2, 2, 3, "병합 값 2");
            this.mergeCellHelper.AddMergeCell(3, 1, 2, "병합 값 3");
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 데이터 테이블 구하기 - GetDataTable(rowCount)

        /// <summary>
        /// 데이터 테이블 구하기
        /// </summary>
        /// <param name="rowCount">행 수</param>
        /// <returns>데이터 테이블</returns>
        private DataTable GetDataTable(int rowCount)
        {
            DataTable dataTable = new DataTable();

            dataTable.Columns.Add("Value1", typeof(string));
            dataTable.Columns.Add("Value2", typeof(string));
            dataTable.Columns.Add("Value3", typeof(string));
            dataTable.Columns.Add("Value4", typeof(string));

            for(int i = 0; i < rowCount; i++)
            {
                dataTable.Rows.Add
                (
                    new object[]
                    {
                        $"값 {i + 1}",
                        $"값 {i + 1}",
                        $"값 {i + 1}",
                        $"값 {i + 1}"
                    }
                );
            }

            return dataTable;
        }

        #endregion
    }
}